/**
 *
 */
package org.gcube.common.workspacetaskexecutor.shared.dataminer;

import java.io.Serializable;

import org.gcube.common.workspacetaskexecutor.shared.BaseTaskComputation;


/**
 * The Class TaskComputation.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 3, 2018
 */
public class TaskComputation implements BaseTaskComputation, Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 7987759965326087786L;
	/** The id. */
	private String id;
	private String urlId;
	private String operatorId;
	private String operatorName;
	private String equivalentRequest;

	/**
	 * Instantiates a new DM computation id.
	 */
	public TaskComputation() {
	}


	/**
	 * Instantiates a new DM computation id.
	 *
	 * @param id the id
	 * @param urlId the url id
	 * @param operatorId the operator id
	 * @param operatorName the operator name
	 * @param equivalentRequest the equivalent request
	 */
	public TaskComputation(String id, String urlId, String operatorId,
			String operatorName, String equivalentRequest) {
		super();
		this.id = id;
		this.urlId = urlId;
		this.operatorId = operatorId;
		this.operatorName = operatorName;
		this.equivalentRequest = equivalentRequest;
	}

	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the url id.
	 *
	 * @return the url id
	 */
	public String getUrlId() {
		return urlId;
	}

	/**
	 * Sets the url id.
	 *
	 * @param urlId the new url id
	 */
	public void setUrlId(String urlId) {
		this.urlId = urlId;
	}

	/**
	 * Gets the operator id.
	 *
	 * @return the operator id
	 */
	public String getOperatorId() {
		return operatorId;
	}

	/**
	 * Sets the operator id.
	 *
	 * @param operatorId the new operator id
	 */
	public void setOperatorId(String operatorId) {
		this.operatorId = operatorId;
	}

	/**
	 * Gets the operator name.
	 *
	 * @return the operator name
	 */
	public String getOperatorName() {
		return operatorName;
	}

	/**
	 * Sets the operator name.
	 *
	 * @param operatorName the new operator name
	 */
	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	/**
	 * Gets the equivalent request.
	 *
	 * @return the equivalent request
	 */
	public String getEquivalentRequest() {
		return equivalentRequest;
	}

	/**
	 * Sets the equivalent request.
	 *
	 * @param equivalentRequest the new equivalent request
	 */
	public void setEquivalentRequest(String equivalentRequest) {
		this.equivalentRequest = equivalentRequest;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("DMComputationId [id=");
		builder.append(id);
		builder.append(", urlId=");
		builder.append(urlId);
		builder.append(", operatorId=");
		builder.append(operatorId);
		builder.append(", operatorName=");
		builder.append(operatorName);
		builder.append(", equivalentRequest=");
		builder.append(equivalentRequest);
		builder.append("]");
		return builder.toString();
	}



}