/**
 *
 */
package org.gcube.common.workspacetaskexecutor.util;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.gcube.common.workspacetaskexecutor.shared.dataminer.TaskComputation;
import org.gcube.data.analysis.dataminermanagercl.shared.data.computations.ComputationId;


/**
 * The Class Converter.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 3, 2018
 */
public class Converter {


	/**
	 * To dm computation id.
	 *
	 * @param computationId the computation id
	 * @return the DM computation id
	 */
	public static TaskComputation toDMComputationId(ComputationId computationId){
		if(computationId==null)
			return null;

		return new TaskComputation(computationId.getId(), computationId.getUrlId(), computationId.getOperatorId(), computationId.getOperatorName(), computationId.getEquivalentRequest());

	}


	/**
	 * To computation id.
	 *
	 * @param computationId the computation id
	 * @return the computation id
	 */
	public static ComputationId toComputationId(TaskComputation computationId){

		if(computationId==null)
			return null;

		return new ComputationId(computationId.getId(), computationId.getUrlId(), computationId.getOperatorId(), computationId.getOperatorName(), computationId.getEquivalentRequest());

	}

	/**
	 * Gets the enum list.
	 *
	 * @param <E> the element type
	 * @param enumClass the enum class
	 * @return the enum list
	 */
	public static <E extends Enum<E>> List<E> getEnumList(Class<E> enumClass) {
		 return new ArrayList<E>(Arrays.asList(enumClass.getEnumConstants()));
	}
}
